## mergedeep 1.3.4

=== Makefile ===
PYTHON := python
project:=mergedeep
version:=$(shell $(PYTHON) -c 'import sys, os; sys.path.insert(0, os.path.abspath(".")); print(__import__("${project}").__version__)')

.PHONY: list
list help:
	@make -pq | awk -F':' '/^[a-zA-Z0-9][^$$#\/\t=]*:([^=]|$$)/ {split($$1,A,/ /);for(i in A)print A[i]}' | sed '/Makefile/d' | sort

.PHONY: format
format:
	@$(PYTHON) -m black *.py ./mergedeep/*.py -l 120

.PHONY: build
build: clean
	@rm -rf ./dist/*
	@$(PYTHON) setup.py sdist bdist_wheel

.PHONY: test-setup
test-setup:
	@pyenv install -s 3.6.10
	@pyenv install -s 3.7.7
	@pyenv install -s 3.8.2
	@pyenv install -s 3.9.1

.PHONY: test
test: test-setup
	@pyenv local 3.6.10 3.7.7 3.8.2 3.9.1
	@$(PYTHON) -m tox

.PHONY: clean
clean:
	@rm -rf ./dist ./build ./*.egg-info ./htmlcov
	@find . -name '*.pyc' -delete
	@find . -name '__pycache__' -delete

.PHONY: check
check:
	@twine check dist/*

.PHONY: upload-test
upload-test: test clean build check
	@twine upload --repository-url https://test.pypi.org/legacy/ dist/*

.PHONY: tag
tag:
ifeq (,$(shell git tag --list | grep "${version}"))
	@git tag "v${version}"
endif

.PHONY: release
release: tag
ifdef version
	@curl -XPOST \
	-H "Authorization: token ${GITHUB_ACCESS_TOKEN}" \
	-H "Content-Type: application/json" \
	"https://api.github.com/repos/clarketm/${project}/releases" \
	--data "{\"tag_name\": \"v${version}\",\"target_commitish\": \"master\",\"name\": \"v${version}\",\"draft\": false,\"prerelease\": false}"
endif

.PHONY: upload
publish upload: test clean build check
	@twine upload dist/*

=== debian/changelog ===
mergedeep (1.3.4-4) unstable; urgency=medium

  * [5e69c93] Rebuild patch queue from patch-queue branch
    Added patches:
    docs-Use-local-intersphinx-while-build-of-documentation.patch
    setup.py-Fix-warning-due-use-of-tuple.patch
    move-py.typed-to-fix-15-also-see-2.patch
    (Closes: #1090104)
  * [1ef8c5f] d/control: Use dh-sequence-python3
  * [7bdfef3] d/control: Use dh-sequence-sphinxdoc
  * [3a40e2d] d/control: Use pybuild-plugin-pyproject in B-D
  * [10ba45c] d/rules: Drop --with option in default target
  * [e388a41] d/control: Add python3-doc to B-D
  * [88974b2] d/control: Set BuildProfileSpecs on B-D
  * [e7180b2] d/rules: Let dh_clean remove .mypy_cache
  * [56e0606] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 18 Dec 2024 20:11:34 +0200

mergedeep (1.3.4-3) unstable; urgency=medium

  [ root ]
  * [3bb2bbd] Trim trailing whitespace.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 May 2022 01:07:31 +0100

mergedeep (1.3.4-2) unstable; urgency=medium

  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 01 Mar 2022 07:25:02 +0100

mergedeep (1.3.4-1) unstable; urgency=medium

  * [5e78f36] New upstream version 1.3.4
  * [1300a22] First and basic Debianization
    (Closes: #1006479)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 26 Feb 2022 08:15:41 +0100

=== debian/control ===
Source: mergedeep
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-doc <!nodoc>,
 python3-recommonmark <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/mergedeep
Vcs-Git: https://salsa.debian.org/python-team/packages/mergedeep.git
Homepage: https://github.com/clarketm/mergedeep

Package: python-mergedeep-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Deep merge function for Python (Documentation)
 This library can help if you need to do some deep merge without mutating
 the source dicts or while you want to deep merging into an existing dict.
 It provides various merge strategies (Replace, Additive, Typesafe replace,
 or Typesafe additive).
 .
 This package provides the documentation.

Package: python3-mergedeep
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Deep merge function for Python (Python3 version)
 This library can help if you need to do some deep merge without mutating
 the source dicts or while you want to deep merging into an existing dict.
 It provides various merge strategies (Replace, Additive, Typesafe replace,
 or Typesafe additive).
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=mergedeep

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/source/ $(CURDIR)/debian/python-mergedeep-doc/usr/share/doc/python-mergedeep-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
# watch file for mergedeep

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/clarketm/mergedeep.git \
      refs/tags/v@ANY_VERSION@
